#!/bin/sh
# Rename srt files to match video files

videofiles=""

if [ -z "${1}" ]; then
    echo "usage: ${0} /path/to/videofiles" >&2
    exit 1
else
    videofiles="${1}"
fi

for file in *.srt; do
    episode=$(echo "${file}" | grep -Eo '[0-9]{2}[. ]' | cut -d. -f1 | cut -d" " -f1)
    newfile="$(ls ${videofiles}/*[Ee]${episode}*)"
    newfile=$(basename "${newfile}")
    mv -v "${file}" "${newfile}"
done
rename -v .mp4 .srt *
